#激活码
Code: "Y44N83ZDoptUrWNQ"

#魂环绽放冷却时间 s OP无视 或拥有 ruomoesoulring.nocooldown 权限无视
CoolDownTime: 10
CoolDownMessage: "&3当前正在冷却中 还剩 <time> s"

ShowSoulMessage: "&6绽放成功!"
CloseSoulMessage: "&3收起成功!"


# 是否开启自动/主动释放魂环 设置关闭后只可以通过指令强制开关
ModeEnable: false
#绽放模式 1 右键手持 2 指定槽位自动绽放 3 指定多槽位自动绽放
Mode: 3

#是否开启 MatchKey 关闭则全局匹配
EnableMatchKey: false
#是否开启Lore匹配模式 开启则匹配lore 否则匹配name
LoreMatch: true

#Lore/Name 匹配关键字 只有包含 才会被进行匹配魂环 优化性能
MatchKey: "魂环"

#魂环贴图自定义
SoulRings:
  ring1:
    name: "十年魂环"
    texture: "http://image.hhhhhy.kim/25/h1.png"
    position: "底部"
    animation:
      - '底部旋转'
      - '底部缩放'
  ring2:
    name: "百年魂环"
    texture: "http://image.hhhhhy.kim/25/百年.png"
    position: "底部1"
    animation:
      - '底部旋转'
      - '底部缩放'
  ring3:
    name: "千年魂环"
    texture: "http://image.hhhhhy.kim/25/千年.png"
    position: "底部2"
    animation:
      - '底部旋转'
      - '底部缩放'
  ring4:
    name: "§8万年魂环"
    texture: "http://image.hhhhhy.kim/25/万年.png"
    position: "底部3"
    animation:
      - '底部旋转'
      - '底部缩放'
  ring5:
    name: "十万年魂环"
    texture: "http://image.hhhhhy.kim/25/十万年.png"
    position: "底部4"
    animation:
      - '底部旋转'
      - '底部缩放'
  ring6:
    name: "百万年魂环"
    texture: "http://image.hhhhhy.kim/25/百万年.png"
    position: "底部5"
    animation:
      - '底部旋转'
      - '底部缩放'
  ring7:
    name: "千万年魂环"
    texture: "http://image.hhhhhy.kim/25/千万年.png"
    position: "底部6"
    animation:
      - '底部旋转'
      - '底部缩放'
    
    
       

#选择模式2 需要填写龙核槽位ID
OneSlot: "core_slot_name"

#选择模式3 需要填写该龙核槽位ID列表
Slots:
- "魂环槽位1"
- "魂环槽位2"
- "魂环槽位3"
- "魂环槽位4"
- "魂环槽位5"
- "魂环槽位6"
- "魂环槽位7"
- "魂环槽位8"
- "魂环槽位9"
- "魂环槽位10"

#是否渲染实体怪物
MobEntityRenderMode: true
#是否开启 MatchKey 关闭则全局匹配
EnableEntityMatchKey: true
#只有怪物名字包含 '魂兽' 才会被进行匹配 优化性能
MobEntityNameKey: "۞"
#怪物魂环设置
MobEntityRenderSetting:
  test1:
    name: "十年"
    soul:
      - '十年'
    animation: []
    position: "背部"
  test2:
    name: "۞百年"
    soul:
      - '百年'
    animation: []
    position: "底部"

# 魂环递增模式

# 是否按固定值自动递增
AutoAdded: true

# 固定值 X自动递增
AutoAddedX: 0
# 固定值 Y自动递增
AutoAddedY: 0
# 固定值 Z自动递增
AutoAddedZ: 0

#基础尺寸
BaseScale: 2.0
# 固定值 Scale自动递增
AutoAddedScale: 1.0

# 自定义 自增X
CustomAddedX:
  1: 0.0
  2: 1.0
  3: 2.0
# 自定义 自增Y
CustomAddedY:
  1: 0.0
  2: 0.0
  3: 0.0
# 自定义 自增Z
CustomAddedZ:
  1: 0.0
  2: 1.0
  3: 2.0
# 自定义 自增Scale
CustomAddedScale:
  1: 3.0
  2: 4.0
  3: 5.0

# 魂环动画设置 #

# 旋转动画设置
# 是否开启
EnableRotateAnimation: true
RotateAnimation:
  背部旋转:
    # 旋转轴
    direction: 'z'
    delay: 0
    angle: 360.0
    duration: 6000
    cycleCount: 1
    fixed: true
    resetTime: 1
  底部旋转:
    # 旋转轴
    direction: 'z'
    delay: 0
    angle: 360.0
    duration: 6000
    cycleCount: 1
    fixed: true
    resetTime: 1

# 上下动画设置
# 是否开启
EnableTranslateAnimation: true
TranslateAnimation:
  平移:
    # 平移轴
    direction: 'x'
    delay: 0
    distance: 1.1
    duration: 3000
    cycleCount: 1
    fixed: true

# 缩放动画设置
# 是否开启
EnableScaleAnimation: true
ScaleAnimation:
  背部缩放:
    delay: 0
    cycleCount: 1
    fixed: false
    fromScale: 3.0
    toScale: 1.0
    duration: 3000
  底部缩放:
    delay: 0
    cycleCount: 1
    fixed: false
    fromScale: 3.0
    toScale: 1.0
    duration: 3000

# 同时绽放多个魂环时每个魂环延迟多久 单位 tick
NextTime: 60

# 是否发光
glow: true
# 跟随实体转动 注意 与 followPlayerEyes 冲突 不可都开
followEntityDirection: true
# 跟随实体的目光所视 注意 与 followEntityDirection 冲突 不可都开
followPlayerEyes: false
# 是否开启第一人称渲染
EnableRenderFirstView: false
# 魂环基础角度 改这个可以让魂环在背后 主要改偏转角度
Position:
  背部:
    x: 0
    y: 1.2
    z: 0
    rotateX: 45 # 偏转度数
    rotateY: 0
    rotateZ: 0
  底部:
    x: 0
    y: 0.1
    z: 0
    rotateX: 90
    rotateY: 0
    rotateZ: 0
  底部1:
    x: 0
    y: 0.3
    z: 0
    rotateX: 90
    rotateY: 0
    rotateZ: 0
  底部2:
    x: 0
    y: 0.5
    z: 0
    rotateX: 90
    rotateY: 0
    rotateZ: 0
  底部3:
    x: 0
    y: 0.7
    z: 0
    rotateX: 90
    rotateY: 0
    rotateZ: 0
  底部4:
    x: 0
    y: 0.9
    z: 0
    rotateX: 90
    rotateY: 0
    rotateZ: 0
  底部5:
    x: 0
    y: 1.1
    z: 0
    rotateX: 90
    rotateY: 0
    rotateZ: 0
  底部6:
    x: 0
    y: 1.3
    z: 0
    rotateX: 90
    rotateY: 0
    rotateZ: 0
  底部7:
    x: 0
    y: 0.15
    z: 0
    rotateX: 90
    rotateY: 0
    rotateZ: 0
  底部8:
    x: 0
    y: 0.17
    z: 0
    rotateX: 90
    rotateY: 0
    rotateZ: 0